# DataExchange
TKSTEP
StepAP214

# StepAP214_AppliedDateAndTimeAssignment Class Reference

`#include <StepAP214_AppliedDateAndTimeAssignment.hxx>`

Inheritance diagram for StepAP214_AppliedDateAndTimeAssignment:

[legend]

## Public Member Functions

Standard_EXPORT | StepAP214_AppliedDateAndTimeAssignment ()
| Returns a AppliedDateAndTimeAssignment .
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DateAndTime)&aAssignedDateAndTime, const Handle(StepBasic_DateTimeRole)&aRole)
virtual Standard_EXPORT void | Init (const Handle(StepBasic_DateAndTime)&aAssignedDateAndTime, const Handle(StepBasic_DateTimeRole)&aRole, const Handle(StepAP214_HArray1OfDateAndTimeItem)&aItems)
Standard_EXPORT void | SetItems (const Handle(StepAP214_HArray1OfDateAndTimeItem)&aItems)
Standard_EXPORT Handle_StepAP214_HArray1OfDateAndTimeItem | Items () const
Standard_EXPORT StepAP214_DateAndTimeItem | ItemsValue (const Standard_Integer num) const
Standard_EXPORT Standard_Integer | NbItems () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_StepAP214_HArray1OfDateAndTimeItem | items

## Constructor & Destructor Documentation

Standard_EXPORT StepAP214_AppliedDateAndTimeAssignment::StepAP214_AppliedDateAndTimeAssignment | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const StepAP214_AppliedDateAndTimeAssignment::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepBasic_DateAndTimeAssignment.

virtual Standard_EXPORT void StepAP214_AppliedDateAndTimeAssignment::Init | ( | const Handle(StepBasic_DateAndTime)& | aAssignedDateAndTime,
|  | const Handle(StepBasic_DateTimeRole)& | aRole,
|  | const Handle(StepAP214_HArray1OfDateAndTimeItem)& | aItems
| ) | `[virtual]`

virtual Standard_EXPORT void StepAP214_AppliedDateAndTimeAssignment::Init | ( | const Handle(StepBasic_DateAndTime)& | aAssignedDateAndTime,
|  | const Handle(StepBasic_DateTimeRole)& | aRole
| ) | `[virtual]`

| Reimplemented from StepBasic_DateAndTimeAssignment.

Standard_EXPORT Handle_StepAP214_HArray1OfDateAndTimeItem StepAP214_AppliedDateAndTimeAssignment::Items | ( |  | ) | const

Standard_EXPORT StepAP214_DateAndTimeItem StepAP214_AppliedDateAndTimeAssignment::ItemsValue | ( | const Standard_Integer | num | ) | const

Standard_EXPORT Standard_Integer StepAP214_AppliedDateAndTimeAssignment::NbItems | ( |  | ) | const

Standard_EXPORT void StepAP214_AppliedDateAndTimeAssignment::SetItems | ( | const Handle(StepAP214_HArray1OfDateAndTimeItem)& | aItems | ) |

## Field Documentation

Handle_StepAP214_HArray1OfDateAndTimeItem StepAP214_AppliedDateAndTimeAssignment::items `[private]`

The documentation for this class was generated from the following file:

- StepAP214_AppliedDateAndTimeAssignment.hxx